%global codec jbig2

Name:           %{codec}enc

%global forgeurl https://github.com/agl/%{name}
%global commit c0141bf5ad53977fceb9564f1c81da21c9a02863
%global date 20241021
%forgemeta

Version:        0.29
Release:        1%{?dist}
Summary:        A JBIG2 image encoder
License:        Apache
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  cmake
BuildRequires:  cmake(Leptonica)
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  python3-devel

%description
This is an encoder for JBIG2.

JBIG2 encodes bi-level (1 bpp) images using a number of clever tricks to get better compression than G4. This encoder can:
 - Generate JBIG2 files, or fragments for embedding in PDFs
 - Generic region encoding
 - Perform symbol extraction, classification and text region coding
 - Perform refinement coding and,
 - Compress multipage documents

%files
%{_bindir}/%{codec}
%{_bindir}/%{codec}topdf.py
%{_docdir}/%{name}-0.28

#------------------------------------------------------------------

%package        libs
Summary:        A JBIG2 image encoder

%description    libs
This is an encoder for JBIG2.

JBIG2 encodes bi-level (1 bpp) images using a number of clever tricks to get better compression than G4. This encoder can:
 - Generate JBIG2 files, or fragments for embedding in PDFs
 - Generic region encoding
 - Perform symbol extraction, classification and text region coding
 - Perform refinement coding and,
 - Compress multipage documents

This package provides the shared jbig2enc library.

%files          libs
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so.*

#------------------------------------------------------------------

%package        devel
Summary:        Static library and header files for development with jbig2enc
Requires:       %{name} = %{version}-%{release}

%description    devel
This is an encoder for JBIG2.

JBIG2 encodes bi-level (1 bpp) images using a number of clever tricks to get better compression than G4. This encoder can:
 - Generate JBIG2 files, or fragments for embedding in PDFs
 - Generic region encoding
 - Perform symbol extraction, classification and text region coding
 - Perform refinement coding and,
 - Compress multipage documents

This package is only needed if you plan to develop or compile applications which requires the jbig2enc library.

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{codec}arith.h
%{_includedir}/%{codec}comparator.h
%{_includedir}/%{codec}segments.h
%{_includedir}/%{codec}structs.h
%{_includedir}/%{codec}sym.h

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

#------------------------------------------------------------------

%changelog
* Wed Oct 30 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.29-1
- initial package
